# Class AbstractCSSNode

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode

Direct Known Subclasses:
  `CSSRuleImpl, CSSStyleDeclarationImpl, CSSStyleSheetImpl, CSSValueImpl, CSSValueListImpl`

public class AbstractCSSNode extends Object
Abstract CSS Node.

## Constructor Summary

Constructors
Constructor
Description
`AbstractCSSNode()`

## Method Summary

Modifier and Type
Method
Description
`CSSParser`
`getCSSParser()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCSSNode

public AbstractCSSNode()

## Method Details

### getCSSParser

public CSSParser getCSSParser()